AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create payment plan

Create a payment plan for your customers.

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/payment-plans

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
This is the amount to charge all customers subscribed to this plan.

name string required
This is the name of the payment plan, it will appear on the subscription reminder emails

interval string required
This will determine the frequency of the charges for this plan. Could be yearly, quarterly, monthly, weekly, daily, etc.

duration int 32
This is the frequency, it is numeric, e.g. if set to 5 and intervals is set to monthly you would be charged 5 months, and then the subscription stops

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

name string

amount integer

interval string

duration integer

status string

currency string

plan_token string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys